### Function

# Pango FontsetForeachFunc

since: 1.4

#### Declaration

    gboolean
    (* PangoFontsetForeachFunc) (
      PangoFontset* fontset,
      PangoFont* font,
      gpointer user_data
    )

#### Description [src]

Callback used when enumerating fonts in a fontset.

See `pango_fontset_foreach()`.

Available since: 1.4

#### Parameters

`fontset`

  Type: `PangoFontset`

  A `PangoFontset`.

  The data is owned by the caller of the function.

`font`

  Type: `PangoFont`

  A font from `fontset`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Callback data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

If `TRUE`, stop iteration and return immediately.